net.minecraftforge.client.model.techne

## Class TechneModel

- java.lang.Object
- - net.minecraft.client.model.ModelBase
  - - net.minecraftforge.client.model.techne.TechneModel

- All Implemented Interfaces:
    IModelCustom

      public class TechneModel
      extends ModelBase
      implements IModelCustom

  Techne model importer, based on iChun's Hats importer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static List<String>` | `cubeTypes`

    - ### Fields inherited from class net.minecraft.client.model.ModelBase

      `boxList, isChild, isRiding, onGround, textureHeight, textureWidth`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TechneModel(String fileName, URL resource)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getType()`
    `void` | `renderAll()`
    `void` | `renderAllExcept(String... excludedGroupNames)`
    `void` | `renderOnly(String... groupNames)`
    `void` | `renderPart(String partName)`

    - ### Methods inherited from class net.minecraft.client.model.ModelBase

      `getRandomModelBox, getTextureOffset, render, setLivingAnimations, setRotationAngles`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cubeTypes

          public static final List<String> cubeTypes

  - ### Constructor Detail

    - #### TechneModel

          public TechneModel(String fileName,
                     URL resource)
                      throws ModelFormatException

      Throws:
        `ModelFormatException`

  - ### Method Detail

    - #### getType

          public String getType()

      Specified by:
        `getType` in interface `IModelCustom`

    - #### renderAll

          public void renderAll()

      Specified by:
        `renderAll` in interface `IModelCustom`

    - #### renderPart

          public void renderPart(String partName)

      Specified by:
        `renderPart` in interface `IModelCustom`

    - #### renderOnly

          public void renderOnly(String... groupNames)

      Specified by:
        `renderOnly` in interface `IModelCustom`

    - #### renderAllExcept

          public void renderAllExcept(String... excludedGroupNames)

      Specified by:
        `renderAllExcept` in interface `IModelCustom`